#! /bin/sh

[ -z "$MESSAGECOM" ] && MESSAGECOM=message.sh
[ -z "$sysdownprog" ] && doerror \"sysdownprog\" undefined!

if [ -f $MESSAGECOM ]; then
    $doecho \\nsave existing `pwd`/$MESSAGECOM to `pwd`/${MESSAGECOM}.bkp... \\c
    mv $MESSAGECOM ${MESSAGECOM}.bkp || doerror failed to rename $MESSAGECOM
    $doecho ok!; sleep 1
fi

$doecho \\nWriting default command file `pwd`/${MESSAGECOM}... \\c

cat > $MESSAGECOM<<EOF
#!/bin/sh 

# This script is called by upsman when executing the functions
# "Send Messagebox with Text" and "Send default message IDs from file
# messages.dat" in the event-configuration.
#
#$UPSIDENT

# available parameters are:
# \$1 = "TEXT", message to send
# \$2 = "ADDRESS", recipient of message

send_popup(){
if [ x\$DISPLAY != x -a -x ./upspopup ]; then
    ./upspopup -display \$DISPLAY \$1
fi


# check input

if [ -n "\$2" -a "\$2" != "local" -a "\$2" != "*" ]; then
write \$2 <<-!
    \$1
!
else
wall <<-!
    \$1
!
# uncomment the following line if you like to send the popup
# (be sure you set \$DISPLAY right)
# send_popup \$1
fi
exit 0
EOF

[ $? = 0 ] && chown root:0 $MESSAGECOM && chmod 774 $MESSAGECOM
[ $? = 0 ] || doerror failed to write $MESSAGECOM!

$doecho ok!; sleep 1
