#! /bin/sh

[ -z "$RCCMD_STARTER" ] && RCCMD_STARTER=startrccmd

if [ -f $RCCMD_STARTER ]; then
    $doecho \\nsave existing `pwd`/$RCCMD_STARTER to `pwd`/${RCCMD_STARTER}.bkp... \\c
    mv $RCCMD_STARTER ${RCCMD_STARTER}.bkp || doerror \\nfailed to rename $RCCMD_STARTER
    $doecho ok!; sleep 1
fi

$doecho \\nwriting startscript `pwd`/${RCCMD_STARTER}... \\c

cat > $RCCMD_STARTER<<EOF
#!/bin/sh
#
#$UPSIDENT

[ -x `pwd`/rccmd ] || exit 0

PATH=/sbin:/usr/sbin:/bin:/usr/bin

# You may specify a sender IP to accept signals from,
# default is everyone.
RCCMDSENDER=

# You may change the port to listen on,
# default is 6003.
RCCMDPORT=

# You may define a command to be executed on
# receive of signal, default is $RCCMDPATH/$COMMANDFILE
RCCMDCMD=

[ -z "\$RCCMDSENDER" ] || RCCMDSENDER="-a \$RCCMDSENDER"
[ -z "\$RCCMDPORT" ] || RCCMDPORT="-p \$RCCMDPORT"
[ -z "\$RCCMDCMD" ] || RCCMDCMD="`pwd`/\$RCCMDCMD"

RccmdPid() {
	sin -h fo in | grep '/rccmd *\$' | cut -c1-5
}

rccmdpid=\$(RccmdPid)

case "\$1" in
start)
    $doecho "starting rccmd listener... \\c"
    if [ "\$rccmdpid" = "" ]; then
        `pwd`/rccmd -l \$RCCMDSENDER \$RCCMDPORT \$RCCMDCMD >/dev/null 2>&1
        if [ "\$(RccmdPid)" != "" ]; then
            $doecho ok!
        else
            $doecho failed!
        fi
    else
        $doecho allready running.
    fi
    ;;

stop)
    $doecho "stopping rccmd listener... \\c"
    if [ "\$rccmdpid" != "" ]; then
        kill \$rccmdpid && $doecho ok!
    else
        $doecho not running.
    fi
    ;;
*)
    echo "Usage: \$0 start|stop"; exit 1 
    ;;
esac
exit 0
EOF

[ $? = 0 ] && chown root:0 $RCCMD_STARTER && chmod 774 $RCCMD_STARTER
[ $? = 0 ] || doerror failed to write $RCCMD_STARTER

$doecho ok!; sleep 1
